> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/development-updates/2023-dev-updates/april-28th-2023.md).

# April 28, 2023 - Dev Update

Explore what new changes the Dev team has deployed in the last week!

This can be anything from new features, bug fixes or QoL changes!

<details>

<summary><strong>New features and items</strong></summary>

* Integration multi-tenancy for Halo, Duo, SentinelOne, and OpenAI
* Added functionality to use multi-tenancy org mapping on triggers and actions
* Updated ConnectSecure/CyberCNS branding

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Fixed a bug where tags could not be applied to organizations
* Fixed a bug where users could not share or save Jinja live editor
* Fixed Auvik response pagination
* Fixed a bug where UI was not rendering and JSON was showing
* Fixed CyberCNS Agent Type query parameter for Get Agent action
* Fixed Attribute Error thrown when using task level integration overrides
* Fixed an issue when tenants have an invalid NSM for SonicWall NSM integration
* Fixed user object recoveryEmail property to use ‘address’ instead of ‘name’
* Ensure connections to Redis are cleaned up to fix intermittent connection errors

</details>

<details>

<summary><strong>In review, testing and development</strong>Integration multi-tenancy for more integrationsAcronis integrationCrate marketplace improvementsFix a bug with action search and improve overall experienceFix cron triggers to make them more precise</summary>

</details>

If you'd like to see these in action, review the latest [Open Mic recording here](/updates/roc-open-mics/roc-open-mics-north-america/2023-roc-open-mics/april-28th-2023-tools-and-techniques-for-streamlining-workflows-and-building-relationships.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rewst.help/updates/development-updates/2023-dev-updates/april-28th-2023.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
